Package org.apache.calcite.avatica.proto

## Interface Responses.ErrorResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Responses.ErrorResponse`, `Responses.ErrorResponse.Builder`

Enclosing class:
  Responses

    public static interface Responses.ErrorResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getErrorCode()` numeric identifier for error
`java.lang.String` `getErrorMessage()` human readable description
`com.google.protobuf.ByteString` `getErrorMessageBytes()` human readable description
`java.lang.String` `getExceptions​(int index)` exception stacktraces, many for linked exceptions.
`com.google.protobuf.ByteString` `getExceptionsBytes​(int index)` exception stacktraces, many for linked exceptions.
`int` `getExceptionsCount()` exception stacktraces, many for linked exceptions.
`java.util.List<java.lang.String>` `getExceptionsList()` exception stacktraces, many for linked exceptions.
`boolean` `getHasExceptions()` are there stacktraces contained?
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 6;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 6;`
`Common.Severity` `getSeverity()` `.Severity severity = 3;`
`int` `getSeverityValue()` `.Severity severity = 3;`
`java.lang.String` `getSqlState()` five-character standard-defined value
`com.google.protobuf.ByteString` `getSqlStateBytes()` five-character standard-defined value
`boolean` `hasMetadata()` `.RpcMetadata metadata = 6;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getExceptionsList

    java.util.List<java.lang.String> getExceptionsList()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getExceptionsCount

    int getExceptionsCount()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getExceptions

    java.lang.String getExceptions​(int index)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getExceptionsBytes

    com.google.protobuf.ByteString getExceptionsBytes​(int index)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getHasExceptions

    boolean getHasExceptions()

     are there stacktraces contained?

`bool has_exceptions = 7;`

#### getErrorMessage

    java.lang.String getErrorMessage()

     human readable description

`string error_message = 2;`

#### getErrorMessageBytes

    com.google.protobuf.ByteString getErrorMessageBytes()

     human readable description

`string error_message = 2;`

#### getSeverityValue

    int getSeverityValue()

`.Severity severity = 3;`

#### getSeverity

    Common.Severity getSeverity()

`.Severity severity = 3;`

#### getErrorCode

    int getErrorCode()

     numeric identifier for error

`uint32 error_code = 4;`

#### getSqlState

    java.lang.String getSqlState()

     five-character standard-defined value

`string sql_state = 5;`

#### getSqlStateBytes

    com.google.protobuf.ByteString getSqlStateBytes()

     five-character standard-defined value

`string sql_state = 5;`

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 6;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 6;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 6;`